Sign in to follow this  
Guest bjablonka

FSUIPC

Recommended Posts

I need FSUIPC v 4.10 in order to operate the Majestic Dash 8 Q300.I have tried without success to find a site to download it from. Would someone be kind enough to e-mail me a copy or let me know where I can obtain it?My address is: glenmark@xtra.co.nzMany thanks.

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Thanks Tom.I've tried 4.20 but it seems to have serious issues with the Dash 8 autopilot, at least on my system, so I really need 4.10

Share this post


Link to post
Share on other sites

Try:Link Removed by Admin. Don't link to sites carrying illegal content, keygens, warez, etc.Please let me know if it works, I am having the same issues with this great plane. Are you running Vista?BerndPS> Majestic has one of the best customer service I have ever seen. They have been working with me on this and a white texture issue for a long time. This all happened since I upgraded my video card and installed Acceleration.

Share this post


Link to post
Share on other sites

Thanks Bernd.I have already tried that link but you have to pay to download FSUIPC v 4.10I may be forced to do that if I can't get it elsewhere.No, I'm not running Vista, I've got Win XP.I only purchased the Majestic Dash 8 a few days ago and installed it on FSX with SP1 and Acceleration.At that stage I had a registered copy of an earlier version of FSUIPC .. I think it was v 3.7 or thereabouts.The Dash 8 performed ok except for the autopilot which sent the aircraft on a wild roller coaster ride.I then installed FSUIPC v 4.20 which created a whole lot of other problems as well.The flaps wouldn't lock into place for take off and juggled around all the time and the aircraft wouldn't gain sufficient speed for lift off.It would reach around 100kts and not go any faster despite control locks being off etc etc.I've done countless reinstalls and tried all sorts of permutations but the problems still persist.I have sought help on the Fanda support forum but there's been no response to my posts.I've also e-mailed Majestic and they've made a couple of suggestions but the problems still persist.Trawling through many posts on their forums indicates that I'm not alone in having these issues and I have now formed the opinion that for some people this is a seriously flawed product.Brilliant it may be in some respects but there are bugs in the system which have yet to be ironed out.Frankly, I've just about had enough of it and regret shelling out more than 40 euros for a product that is not fully functional.If someone can show me how to get it up and running flawlessly I would be eternally grateful.

Share this post


Link to post
Share on other sites

Bernd,I have just had a response from Oleksiy at Majestic.He has sent me FSUIPC v 4.152 which I have tried out.Thankfully it seems to have resolved most of the issues including the very erratic autopilot .. thank goodness for that.There is still a minor problem with flap selection but it doesn't seem insurmountable.Clearly there are some compatability issues with FSUIPC and getting the right version is critical.Just wish I knew about this three days ago ... it would have saved a lot of needless aggravation.Wish you luck sorting out your problems.The Dash 8 has the potential to be an exceptional addon.The soundset alone is stunning.

Share this post


Link to post
Share on other sites

Frank,I got the same email from Majestic. Fixed the AP, now I am just waiting to get the white textures on the outside and in the VC worked out. IMHO, this is the best Commuter Prop out there, by far. Can't wait till they come out with their 400 version.Bernd

Share this post


Link to post
Share on other sites

"I am just waiting to get the white textures on the outside and in the VC worked out."Unfortunately some aircraft textures/VC's are not compatible with SP2/Acceleration. Turn off DX10 Preview in your display config and your textures will appear.Best regards,Jim

Share this post


Link to post
Share on other sites

Frank,Are you aware that FSUIPC4 is for FSX only and FSUIPC v3 was for FS9 only?If you are experiencing problems with FSUIPC4 you should contact the author Pete Dowson on his forum here http://forums.simflight.com/viewforum.php?f=54Be aware that he will only support the current official build and any beta version made available.When you write...<

Share this post


Link to post
Share on other sites

Jim,Thank you so much for the suggestion, it worked!! Bernd

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this